Namespace
library
Image / Tag
swift:5.8.0-slim
Content Digest
sha256:4eb7ed2d33aab422b67f10e803fb2b0f3ba5f22611c1afd74a4e7ad3d5411719
Details
Created

2023-06-01 23:53:33 UTC

Size

126 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d1669123f28121211977ed38e663dca1a397c0c001e5386598b96c89b1b1cd51 - 23.02% (29 MB)

[#001] sha256:84ad5d81b5cb305c55c9af407ce3ed4cb2e1dd9c5f8af2dcbace24e755ac4fc0 - 14.51% (18.3 MB)

[#002] sha256:379eff8aa47b425b33cc40d815e3d794947f535a20a73b2682da341fec0c27d2 - 62.47% (78.8 MB)


History
2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-05-22 17:45:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-05-22 17:45:52 UTC

/bin/sh -c #(nop) ADD file:2fd2684e989d275c95e18b6f6e9ccf57ca1382ecd8faf4a66961ede28102dedf in /

2023-05-22 17:45:52 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-06-01 23:50:17 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-06-01 23:50:17 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-06-01 23:53:03 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*

2023-06-01 23:53:03 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-06-01 23:53:03 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-06-01 23:53:03 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-06-01 23:53:03 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-06-01 23:53:03 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:53:03 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:53:33 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg

Details
Created

2023-06-01 23:09:37 UTC

Size

123 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:6c7698a779f6d8c45a39a6721fb5cce267d66ff8ab5181c55aa6d02c8ddacd01 - 22.03% (27.1 MB)

[#001] sha256:19eb83a8fb2c5ce7037a9cafa4410ad5e76b82322b5744ead171738505a42f51 - 14.81% (18.2 MB)

[#002] sha256:259d9e38da9a4ca8701d52369473d883c1dc5cc5ca0b1de1ec649e5a94792a0c - 63.16% (77.6 MB)


History
2023-05-22 17:53:00 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-05-22 17:53:01 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-05-22 17:53:01 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-05-22 17:53:01 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-05-22 17:53:07 UTC

/bin/sh -c #(nop) ADD file:f0435ed8dcf91cc69ec63b6b16d9efac56e5a6a7ec518e1fcc3df7457d3113ed in /

2023-05-22 17:53:08 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-06-01 23:05:54 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-06-01 23:05:55 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-06-01 23:09:08 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*

2023-06-01 23:09:08 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-06-01 23:09:08 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-06-01 23:09:08 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-06-01 23:09:08 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-06-01 23:09:08 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:09:08 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-06-01 23:09:37 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete